Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Xabsl2InputSource Class Reference

A Xabsl2Engine helper class for reading input data from files or from memory. More...

`#include <Xabsl2Tools.h>`

Inheritance diagram for Xabsl2InputSource:

[legend]
List of all members.

## Public Member Functions
virtual bool | open ()=0
| opens the source that contains the intermediate code
virtual void | close ()=0
| closes the source
virtual double | readValue ()=0
| reads a numeric value from the input source
virtual bool | readString (char *destination, int maxLength)=0
| reads a string from the input source

## Detailed Description

A Xabsl2Engine helper class for reading input data from files or from memory.

Definition at line 18 of file Xabsl2Tools.h.

## Member Function Documentation

virtual bool Xabsl2InputSource::open | ( |  | ) | `[pure virtual]`

| opens the source that contains the intermediate code Implemented in Xabsl2FileInputSource, and Xabsl2MessageInputSource. Referenced by Xabsl2Engine::createOptionGraph().

virtual void Xabsl2InputSource::close | ( |  | ) | `[pure virtual]`

| closes the source Implemented in Xabsl2FileInputSource, and Xabsl2MessageInputSource. Referenced by Xabsl2Engine::createOptionGraph().

virtual double Xabsl2InputSource::readValue | ( |  | ) | `[pure virtual]`

| reads a numeric value from the input source Implemented in Xabsl2FileInputSource, and Xabsl2MessageInputSource. Referenced by Xabsl2Option::create(), Xabsl2State::create(), Xabsl2BooleanExpression::create(), Xabsl2Engine::createOptionGraph(), Xabsl2DecimalInputFunctionCall::Xabsl2DecimalInputFunctionCall(), Xabsl2DecimalValue::Xabsl2DecimalValue(), Xabsl2IfElseBlock::Xabsl2IfElseBlock(), and Xabsl2Option::Xabsl2Option().

virtual bool Xabsl2InputSource::readString | ( | char * | destination,
|  | int | maxLength
| ) | `[pure virtual]`

  | reads a string from the input source Parameters:
  destination | The position where to write the string
  maxLength | the maximum length of the string
Returns: if the read succeded Implemented in Xabsl2FileInputSource, and Xabsl2MessageInputSource. Referenced by Xabsl2Option::create(), Xabsl2State::create(), Xabsl2DecimalExpression::create(), Xabsl2BooleanExpression::create(), Xabsl2Engine::createOptionGraph(), Xabsl2Statement::createStatement(), Xabsl2BooleanInputSymbolRef::Xabsl2BooleanInputSymbolRef(), Xabsl2DecimalInputFunctionCall::Xabsl2DecimalInputFunctionCall(), Xabsl2DecimalInputSymbolRef::Xabsl2DecimalInputSymbolRef(), Xabsl2EnumeratedInputSymbolComparison::Xabsl2EnumeratedInputSymbolComparison(), Xabsl2Option::Xabsl2Option(), Xabsl2OptionParameterRef::Xabsl2OptionParameterRef(), and Xabsl2TransitionToState::Xabsl2TransitionToState().

The documentation for this class was generated from the following file:

- Tools/Xabsl2/Xabsl2Engine/Xabsl2Tools.h